//
// ONVIFCameraStreamEncoderUpdate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraStreamEncoderUpdate: Codable {

    public var streamProfile: ONVIFSupportedProfile
    public var encoder: ONVIFSupportedEncoder
    public var resolution: ONVIFSupportedResolution
    public var framerate: Int
    public var bitrate: Int
    public var govLength: Int?

    public init(streamProfile: ONVIFSupportedProfile, encoder: ONVIFSupportedEncoder, resolution: ONVIFSupportedResolution, framerate: Int, bitrate: Int, govLength: Int? = nil) {
        self.streamProfile = streamProfile
        self.encoder = encoder
        self.resolution = resolution
        self.framerate = framerate
        self.bitrate = bitrate
        self.govLength = govLength
    }

    public enum CodingKeys: String, CodingKey { 
        case streamProfile = "stream_profile"
        case encoder
        case resolution
        case framerate
        case bitrate
        case govLength = "gov_length"
    }

}
